#
# spec file for package perl-Lingua-EN-Inflect-Phrase
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Lingua-EN-Inflect-Phrase
Version:        0.18
Release:        3.1
%define cpan_name Lingua-EN-Inflect-Phrase
Summary:        Inflect short English Phrases
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Lingua-EN-Inflect-Phrase/
Source:         http://www.cpan.org/authors/id/R/RK/RKITOVER/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Lingua::EN::FindNumber)
BuildRequires:  perl(Lingua::EN::Inflect)
BuildRequires:  perl(Lingua::EN::Inflect::Number)
BuildRequires:  perl(Lingua::EN::Number::IsOrdinal)
BuildRequires:  perl(Lingua::EN::Tagger)
BuildRequires:  perl(Test::NoWarnings)
Requires:       perl(Lingua::EN::FindNumber)
Requires:       perl(Lingua::EN::Inflect)
Requires:       perl(Lingua::EN::Inflect::Number)
Requires:       perl(Lingua::EN::Number::IsOrdinal)
Requires:       perl(Lingua::EN::Tagger)
%{perl_requires}

%description
Attempts to pluralize or singularize short English phrases.

Does not throw exceptions at present, if you attempt to pluralize an
already pluralized phrase, it will leave it unchanged (and vice versa.)

The behavior of this module is subject to change as I tweak the heuristics,
as some things get fixed others might regress. The processing of natural
language is a messy business.

If it doesn't work, please email or submit to RT the example you tried, and
I'll try to fix it.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Tue Dec  2 2014 coolo@suse.com
- updated to 0.18
  - fix meta repository info (RT#82274)
  0.17 2012-12-25 14:09:56
  - fix for ordinal number phrases, 'first release' was singularizing to
    'first releases' (RT#82242)
  0.16  2012-11-05 02:43:34
  - bump up Lingua::EN::Tagger dep again due to unescaped braces in
    regexes
  0.15  2012-09-27 22:17:00
  - fix uninitialized warnings on older perls
  0.14  2012-09-24 03:56:10
  - add $prefer_nouns config variable, defaulting to 1, which allows the
    recognition of phrases such as 'source splits'
  - much better number handling, in both number and word form
  0.13  2012-08-30 05:30:04
  - bump Lingua::EN::Tagger dep to 0.20 due to unescaped braces in regexes
* Thu May 31 2012 coolo@suse.com
- updated to 0.12
  - special case "people" and "heroes"
  - fix inflection of "a" to "some"
  - special case the verb "belongs", as the new fallback to verbs was
    breaking DBIx::Class::Schema::Loader tests.
  - remove special case for "single", as it was wrong
  - handle "negative acknowledges"
  - fix some bugs discovered in String::ToIdentifier::EN
  - better support for numbers and number words
* Mon Jan 17 2011 coolo@novell.com
- initial package 0.04
  * created by cpanspec 1.78.03
